CVE-2019-3465

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Rob Richards XmlSecLibs, all versions prior to v3.0.3, as used for example by SimpleSAMLphp, performed incorrect validation of cryptographic signatures in XML messages, allowing an authenticated attacker to impersonate others or elevate privileges by creating a crafted XML message.

References

https://github.com/robrichards/xmlseclibs/commit/0a53d3c3aa87564910cae4ed01416441d3ae0db5

https://lists.debian.org/debian-lts-announce/2019/11/msg00003.html

https://lists.fedoraproject.org/archives/list/[email protected]/message/7KID7C4AZPYYIZQIPSLANP4R2RQR6YK3/

https://lists.fedoraproject.org/archives/list/[email protected]/message/AB34ILMJ67CUROBOR6YPKB46VHXLOAJ4/

https://lists.fedoraproject.org/archives/list/[email protected]/message/BBKVDUZ7G5ZOUO4BFJWLNJ6VOKBQJX5U/

https://lists.fedoraproject.org/archives/list/[email protected]/message/BNFMY5RRLU63P25HEBVDO5KAVI7TX7JV/

https://lists.fedoraproject.org/archives/list/[email protected]/message/ESKJTWLE7QZBQ3EKMYXKMBQG3JDEJWM6/

https://lists.fedoraproject.org/archives/list/[email protected]/message/HBE2SJSXG7J4XYLJ2H6HC2VPPOG2OMUN/

https://lists.fedoraproject.org/archives/list/[email protected]/message/MAWOVYLZKYDCQBLQEJCFAAD3KQTBPHXE/

https://lists.fedoraproject.org/archives/list/[email protected]/message/OCSR3V6LNWJAD37VQB6M2K7P4RQSCVFG/

https://lists.fedoraproject.org/archives/list/[email protected]/message/XBSSRV5Q7JFCYO46A3EN624UZ4KXFQ2M/

https://seclists.org/bugtraq/2019/Nov/8

https://simplesamlphp.org/security/201911-01

https://www.debian.org/security/2019/dsa-4560

https://www.tenable.com/security/tns-2019-09

Details

Source: MITRE

Published: 2019-11-07

Updated: 2020-08-24

Type: CWE-347

Risk Information

CVSS v2

Base Score: 6.5

Vector: AV:N/AC:L/Au:S/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8

Severity: MEDIUM

CVSS v3

Base Score: 8.8

Vector: CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.8

Severity: HIGH

Tenable Plugins

View all (11 total)

IDNameProductFamilySeverity
147896Tenable SecurityCenter 5.9.x to 5.12.x SimpleSAMLPHP Privilege Escalation (TNS-2020-01)NessusMisc.
high
135421Fedora 31 : php-robrichards-xmlseclibs1 (2020-46d0f456a9)NessusFedora Local Security Checks
high
135419Fedora 30 : php-robrichards-xmlseclibs1 (2020-1b95d7a131)NessusFedora Local Security Checks
high
131047Fedora 30 : php-robrichards-xmlseclibs3 (2019-ec8719a21c)NessusFedora Local Security Checks
high
131046Fedora 30 : php-robrichards-xmlseclibs (2019-dc90bf093b)NessusFedora Local Security Checks
high
131045Fedora 29 : php-robrichards-xmlseclibs3 (2019-be01267416)NessusFedora Local Security Checks
high
131044Fedora 31 : php-robrichards-xmlseclibs3 (2019-9a960c8a98)NessusFedora Local Security Checks
high
131042Fedora 29 : php-robrichards-xmlseclibs (2019-81f61cdceb)NessusFedora Local Security Checks
high
131041Fedora 31 : php-robrichards-xmlseclibs (2019-73d0fe1d15)NessusFedora Local Security Checks
high
130612Debian DSA-4560-1 : simplesamlphp - security updateNessusDebian Local Security Checks
high
130611Debian DLA-1983-1 : simplesamlphp security updateNessusDebian Local Security Checks
high